Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Interface IRequestFilter

public abstract interface IRequestFilter

Implement this interface when you want to filter message traffic between the UI and the ULC application at the Request level.

Method Summary
`Request` | `filterReceive(UlcConnection conn, Request request)` Return the Request to be processed or null if the request should not be processed.
`Request` | `filterSend(UlcConnection conn, Request request)` Return the Request to be sent or null if the request should not be sent.

Method Detail

### filterReceive

    public Request filterReceive(UlcConnection conn,
                                 Request request)

  Return the Request to be processed or null if the request should not be processed. This method should be implemented by the developer when the intention is to intercept the request just before the Request is posted into the requestProcessor for execution. If this method returns null then the request is not posted otherwise the Request returned by this method will be posted into the requestProcessor.
  Parameters:
    `conn` - com.ibm.ulc.comm.UlcConnection
    `request` - com.ibm.ulc.comm.Request
  Returns:
    com.ibm.ulc.comm.Request or null

### filterSend

    public Request filterSend(UlcConnection conn,
                              Request request)

  Return the Request to be sent or null if the request should not be sent. This method should be implemented by the developer when the intention is to intercept the request just before the Request is converted into bytes to be sent by the configured Transport. If this method returns null then the request is not sent otherwise the Request returned by this method will be sent using the the configured Transport
  Parameters:
    `conn` - com.ibm.ulc.comm.UlcConnection
    `request` - com.ibm.ulc.comm.Request
  Returns:
    com.ibm.ulc.comm.Request or null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD